Subject: Re: [bug#41953] [PATCH] gnu: darktable: Update to 3.0.2.

From: Vinicius Monego <[email-masked]>
Date: Mon, 22 Jun 2020 18:37:58 -0300

Em seg, 2020-06-22 às 23:11 +0200, Marius Bakke escreveu:
> Vinicius Monego <[email-masked]> writes:
> 
> > * gnu/packages/photo.scm (darktable): Update to 3.0.2.
> > [arguments]: Compile with clang.
> > [arguments]: Wrap GSETTINGS_SCHEMAS_DIR.
> > [license]: Add license information for Rawspeed.
> > [native-inputs]: Add clang.
> > [native-inputs]: Add desktop-file-utils.
> > [native-inputs]: Add glib.
> > [native-inputs]: Add gobject-instrospection.
> > [native-inputs]: Add llvm.
> > [native-inputs]: Add po4a.
> > [native-inputs]: Reorder alphabetically.
> > [inputs]: Add colord-gtk.
> > [inputs]: Add cups.
> > [inputs]: Add graphicsmagick.
> > [inputs]: Add gsettings-desktop-schemas.
> > [inputs]: Add iso-codes.
> > [inputs]: Add libsecret.
> > [inputs]: Add lua.
> > [inputs]: Add openjpeg.
> > [inputs]: Add osm-gps-map.
> > [inputs]: Reorder alphabetically.
> 
> Thanks!  I flattened this commit message so there is just a single
> entry
> for each of the changed fields.
> 
> >         (modify-phases %standard-phases
> > +         (add-before 'configure 'prepare-build-environment
> > +           (lambda* (#:key inputs #:allow-other-keys)
> > +             (setenv "CC" "clang") (setenv "CXX" "clang++")))
> 
> I tried building with GCC, and indeed it failed.  First because ISL
> was
> not enabled, so I added 'gcc-9' which has it and adjusted
> CPLUS_INCLUDE_PATH accordingly, but still ran into problems.

A few hours ago I was splitting this patch into shorter commits and the
build began to fail. Weird, because it compiled succesfully for about 7
times before I submitted this patch.

> 
> It would be good to move to GCC eventually because Clang is not
> nearly
> as well tested.  :-)
> 

The reason I chose clang is that CMake was very loud about LLVM not
being found (it's an optional dependency to run OpenCL tests, which is
one of the few features still missing from the package). When LLVM is
found, CMake will recommend clang. That made me guess it was the
recommended compiler.

> Anyway thanks for the patch, applied!

I didn't expect it to be approved at v1. Thanks :-)